std::initializer_list< _E >(3cxx)

NAME
std::initializer_list< _E > - initializer_list

SYNOPSIS

#include <initializer_list>

  Public Types

typedef const _E * const_iterator
typedef const _E & const_reference
typedef const _E * iterator
typedef const _E & reference
typedef size_t size_type
typedef _E value_type

  Public Member Functions

constexpr const_iterator begin () const noexcept
constexpr const_iterator end () const noexcept
constexpr size_type size () const noexcept

Detailed Description

  template<class _E>
class std::initializer_list< _E >"initializer_list

Definition at line 47 of file initializer_list.

Member Typedef Documentation

  template<class _E > typedef const _E* std::initializer_list< _E >::const_iterator

Definition at line 55 of file initializer_list.

  template<class _E > typedef const _E& std::initializer_list< _E >::const_reference

Definition at line 52 of file initializer_list.

  template<class _E > typedef const _E* std::initializer_list< _E >::iterator

Definition at line 54 of file initializer_list.

  template<class _E > typedef const _E& std::initializer_list< _E >::reference

Definition at line 51 of file initializer_list.

  template<class _E > typedef size_t std::initializer_list< _E >::size_type

Definition at line 53 of file initializer_list.

  template<class _E > typedef _E std::initializer_list< _E >::value_type

Definition at line 50 of file initializer_list.

Constructor & Destructor Documentation

  template<class _E > constexpr std::initializer_list< _E >::initializer_list () [inline], [constexpr], [noexcept]

Definition at line 66 of file initializer_list.

Member Function Documentation

  template<class _E > constexpr const_iterator std::initializer_list< _E >::begin () const [inline], [constexpr], [noexcept]

Definition at line 75 of file initializer_list.

  template<class _E > constexpr const_iterator std::initializer_list< _E >::end () const [inline], [constexpr], [noexcept]

Definition at line 79 of file initializer_list.

  template<class _E > constexpr size_type std::initializer_list< _E >::size () const [inline], [constexpr], [noexcept]

Definition at line 71 of file initializer_list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.